---
alias: reob2ohph7
description: Frequently asked questions about Prisma as a company, the platform itself and other topics.
---

# Other

### Where can I ask more questions?

You can contact us through a variety of channels.

If you have a **technical problem**, the best way to find help is either in our [Forum](https://www.prisma.io/forum/) or on [Stack Overflow](https://stackoverflow.com/questions/tagged/prisma).

To **get involved in our open source work** and **obtain insights into our roadmap**, you should check out our [GitHub organization](github.com/graphcool/).

If you just want to hang out and chat with GraphQL enthusiasts, our [Slack](https://slack.prisma.io) channel is the place to be.

Finally, for any direct requests, you can always reach out to us via email: [Sales](mailto:sales@prisma.io) & [Support](mailto:support@prisma.io).

### How is Prisma different from Graphcool Framework?

The Graphcool Framework is a strongly opinionated open-source solution based on GraphQL and Serverless functions, that provides an entire web server setup with a powerful GraphQL API.

Prisma is the result of many learnings and a lot of feedback from customers and the community, that focuses on the core of Graphcool Framework: the automatic mapping from your database to a GraphQL API. This enables you to take full control of your GraphQL server while still being able to benefit from an auto-generated and powerful GraphQL API.

If you have further questions about how the Graphcool Framework and Prisma compare, check out [this](https://www.graph.cool/forum/t/graphcool-framework-and-prisma/2237?u=nilan) forum post.

### How can I contribute to the documentation?

If you're noticing any sorts of issues (typos, grammatical errors, technical inaccuracies, ...) in the documentation, feel free to [open a PR](https://github.com/graphcool/prisma/pulls/new) to fix them.

In case you want to contribute a tutorial or some other content, please [get in touch with our content team](mailto:content@prisma.io)  before submitting the PR.

### How can I write a blog post for the Prisma blog?

We're welcoming guest authors on our [blog](https://blog.prisma.io)! If you have an idea for an article you'd like to publish there, please [get in touch with our content team](mailto:content@prisma.io).

### How can I give a conference talk?

We're hosting several GraphQL conferences:

- [GraphQL Europe](https://www.graphql-europe.org/) (once a year in Berlin)
- [GraphQL Day](https://www.graphqlday.org/) (multiple times a year in varying locations)

If you're interested in speaking, check out the websites of the conferences to see whether there's currently an open CfP.

### How can I organize a Meetup?

There are lots of GraphQL Meetups all around the world (see the full list [here](http://graphql.org/community/upcoming-events/#meetups)). If you can't find one in your area, [start your own on Meetup.com](https://secure.meetup.com/create/).